### Enumeration

# Fwupd Status

#### Declaration

    enum Fwupd.Status

#### Description [src]

The flags to show daemon status.

#### Members

Name | Description
--- | ---
`FWUPD_STATUS_UNKNOWN` | Unknown state.
`FWUPD_STATUS_IDLE` | Idle.
`FWUPD_STATUS_LOADING` | Loading a resource.
`FWUPD_STATUS_DECOMPRESSING` | Decompressing firmware.
`FWUPD_STATUS_DEVICE_RESTART` | Restarting the device.
`FWUPD_STATUS_DEVICE_WRITE` | Writing to a device.
`FWUPD_STATUS_DEVICE_VERIFY` | Verifying (reading) a device.
`FWUPD_STATUS_SCHEDULING` | Scheduling an update for installation on reboot.
`FWUPD_STATUS_DOWNLOADING` | A file is downloading.
`FWUPD_STATUS_DEVICE_READ` | Reading from a device.
`FWUPD_STATUS_DEVICE_ERASE` | Erasing a device.
`FWUPD_STATUS_WAITING_FOR_AUTH` | Waiting for authentication.
`FWUPD_STATUS_DEVICE_BUSY` | The device is busy.
`FWUPD_STATUS_SHUTDOWN` | The daemon is shutting down.
`FWUPD_STATUS_WAITING_FOR_USER` | Waiting for an interactive user action.